import Flutter
import UIKit

public class SwiftShareSocialMediaPlugin: NSObject, FlutterPlugin {

  public static func register(with registrar: FlutterPluginRegistrar) {
    let channel = FlutterMethodChannel(name: "share_social_media", binaryMessenger: registrar.messenger())
    let instance = SwiftShareSocialMediaPlugin()
    registrar.addMethodCallDelegate(instance, channel: channel)
  }

  public func handle(_ call: FlutterMethodCall, result: @escaping FlutterResult) {
    if(call.method == "shareLine"){
        open(scheme: "https://social-plugins.line.me/lineit/share?url=https://flutter.dev")
    }
  }

   private func open(scheme: String) {
        if let url = URL(string: scheme) {
          if #available(iOS 10, *) {
              let options = [UIApplication.OpenExternalURLOptionsKey.universalLinksOnly : false]
            UIApplication.shared.open(url, options: options,
              completionHandler: {
                success in
                  print("Open \(scheme): \(success.description)")
             })
          } else {
            let success = UIApplication.shared.openURL(url)
            print("Open \(scheme): \(success)")
          }
        }
      }
}
